pcl::MLSResult::PolynomialPartialDerivative Struct Reference

Data structure used to store the MLS polynomial partial derivatives. More...

`#include <pcl/surface/mls.h>`

## Public Attributes

double | z
| The z component of the polynomial evaluated at z(u, v). More...
double | z_u
| The partial derivative dz/du. More...
double | z_v
| The partial derivative dz/dv. More...
double | z_uu
| The partial derivative d^2z/du^2. More...
double | z_vv
| The partial derivative d^2z/dv^2. More...
double | z_uv
| The partial derivative d^2z/dudv. More...

## Detailed Description

Data structure used to store the MLS polynomial partial derivatives.

Definition at line 70 of file mls.h.

## Member Data Documentation

## z

double pcl::MLSResult::PolynomialPartialDerivative::z

The z component of the polynomial evaluated at z(u, v).

Definition at line 72 of file mls.h.

Referenced by pcl::MLSResult::projectPointOrthogonalToPolynomialSurface(), and pcl::MLSResult::projectPointSimpleToPolynomialSurface().

## z_u

double pcl::MLSResult::PolynomialPartialDerivative::z_u

The partial derivative dz/du.

Definition at line 73 of file mls.h.

Referenced by pcl::MLSResult::calculatePrincipleCurvatures(), pcl::MLSResult::projectPointOrthogonalToPolynomialSurface(), and pcl::MLSResult::projectPointSimpleToPolynomialSurface().

## z_uu

double pcl::MLSResult::PolynomialPartialDerivative::z_uu

The partial derivative d^2z/du^2.

Definition at line 75 of file mls.h.

Referenced by pcl::MLSResult::calculatePrincipleCurvatures(), and pcl::MLSResult::projectPointOrthogonalToPolynomialSurface().

## z_uv

double pcl::MLSResult::PolynomialPartialDerivative::z_uv

The partial derivative d^2z/dudv.

Definition at line 77 of file mls.h.

Referenced by pcl::MLSResult::calculatePrincipleCurvatures(), and pcl::MLSResult::projectPointOrthogonalToPolynomialSurface().

## z_v

double pcl::MLSResult::PolynomialPartialDerivative::z_v

The partial derivative dz/dv.

Definition at line 74 of file mls.h.

Referenced by pcl::MLSResult::calculatePrincipleCurvatures(), pcl::MLSResult::projectPointOrthogonalToPolynomialSurface(), and pcl::MLSResult::projectPointSimpleToPolynomialSurface().

## z_vv

double pcl::MLSResult::PolynomialPartialDerivative::z_vv

The partial derivative d^2z/dv^2.

Definition at line 76 of file mls.h.

Referenced by pcl::MLSResult::calculatePrincipleCurvatures(), and pcl::MLSResult::projectPointOrthogonalToPolynomialSurface().

The documentation for this struct was generated from the following file:

- pcl/surface/mls.h